# CColor (Javadocs: controlP5)
Date: 2014-04-27

controlP5

## Class CColor

- java.lang.Object
- - controlP5.CColor

All Implemented Interfaces:
  java.io.Serializable

    public class CColor
    extends java.lang.Object
    implements java.io.Serializable

A CColor instance contains the colors of a controller including the foreground-, background-, active-, captionlabel- and valuelabel-colors.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CColor()`
`CColor(CColor theColor)`
`CColor(int cfg, int cbg, int cactive, int ccl, int cvl)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`int` `getActive()`
`int` `getAlpha()`
`int` `getBackground()`
`int` `getCaptionLabel()`
`int` `getForeground()`
`int` `getValueLabel()`
`int` `hashCode()`
`CColor` `setActive(int theColor)`
`CColor` `setAlpha(int theAlpha)`
`CColor` `setBackground(int theColor)`
`CColor` `setCaptionLabel(int theColor)`
`CColor` `setForeground(int theColor)`
`CColor` `setValueLabel(int theColor)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CColor

    public CColor()

#### CColor

    public CColor(CColor theColor)

#### CColor

    public CColor(int cfg,
          int cbg,
          int cactive,
          int ccl,
          int cvl)

### Method Detail

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### getActive

    public int getActive()

#### getAlpha

    public int getAlpha()

#### getBackground

    public int getBackground()

#### getCaptionLabel

    public int getCaptionLabel()

#### getForeground

    public int getForeground()

#### getValueLabel

    public int getValueLabel()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### setActive

    public CColor setActive(int theColor)

#### setAlpha

    public CColor setAlpha(int theAlpha)

Parameters:
  `theAlpha` -

#### setBackground

    public CColor setBackground(int theColor)

#### setCaptionLabel

    public CColor setCaptionLabel(int theColor)

#### setForeground

    public CColor setForeground(int theColor)

#### setValueLabel

    public CColor setValueLabel(int theColor)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`